package L15_pkg;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.Rectangle;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTable;
import javax.swing.JTextField;

/**
 * 
 * @author mb
 * 
 */
public class L15Frame extends JFrame {

	/**
	 */
	public L15Frame() {
		this.setBackground(Color.RED);

		/*
		 * Here we specify the initial dimension of this frame
		 */
		int width = 400;
		int height = width;
		// this.setSize(width, height);
		// this.setMinimumSize(new Dimension(width, height));
		this.setPreferredSize(new Dimension(width, height));

		/*
		 * This is self-explanatory
		 */
		this.setTitle("My Frame");

		/*
		 * Here we specify the operation that should be performed when this
		 * window is closed (the default is to do nothing)
		 */
		this.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		/*
		 * Here are some other alternatives:
		 */
		// this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
		/*
		 * DO_NOTHING_ON_CLOSE is the default
		 */
		// this.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);

		/*
		 * Here we specify whether this frame is resizable (default is true;
		 * experiment with false)
		 */
		this.setResizable(true);

		/*
		 * Here we specify the LayoutManager to use for this frame. The default
		 * is BorderLayout and so this statement could be removed without any
		 * effect.
		 */
		this.setLayout(new BorderLayout());

		/*
		 * here we specify the components that should be added to this top-level
		 * container
		 */
		Container rootContainer = this.getContentPane();

		JPanel thePanel = new GreenEllipsePanel();
		rootContainer.add(thePanel);
		// the default is to add the component to the CENTER portion
		// the following line is equivalent
		// rootContainer.add(thePanel2, BorderLayout.CENTER);

		// add some more components for fun...
		// rootContainer.add(new GreenEllipsePanel(), BorderLayout.LINE_START);
		// rootContainer.add(new GreenEllipsePanel(), BorderLayout.LINE_END);

		/*
		 * the method pack() causes this JFrame to be sized to fit the preferred
		 * size and layouts of its subcomponents.
		 */
		this.pack();
		this.setVisible(true);

	}

}
