package L15_pkg;

import java.awt.Color;
import java.awt.Container;

import javax.swing.JFrame;
import javax.swing.JPanel;

/**
 * This class encapsulates a JFrame child that is very simple; it contains a
 * single JPanel component of type GreenEllipsePanel. It makes use of all the
 * default parameters for a JFrame: the default size; the default LayoutManager;
 * the default behaviour when the window is closed.
 * 
 * @author mb
 * 
 */
public class L15FrameVeryBasicVersion extends JFrame {

	/**
	 * Constructs a view as specified in the class description. The view gets
	 * installed upon the passed model.
	 * 
	 * @param model
	 */
	public L15FrameVeryBasicVersion() {
		/*
		 * the line below would be invoked by default even it we hadn't
		 * specified it. This corresponds to the constructor JFrame() [see API]
		 */
		super();

		/*
		 * here we specify the background color (so that we can see the
		 * component being drawn)
		 */
		this.setBackground(Color.RED);

		/*
		 * here we specify the components that should be added to this top-level
		 * container
		 */
		Container rootContainer = this.getContentPane();

		JPanel thePanel = new GreenEllipsePanel();
		rootContainer.add(thePanel);

		/*
		 * here we invoke the method pack(), which causes this JFrame to be
		 * sized to fit the preferred size and layouts of its subcomponents. The
		 * last step is to mark this component as visible, so that it will be
		 * shown (try the app with the last line commented out)
		 */
		this.pack();
		this.setVisible(true);
	}

}
