package L15_pkg.copy;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.geom.Ellipse2D;
import java.awt.geom.Rectangle2D;

import javax.swing.JPanel;

/**
 * 
 * @author mb
 * 
 */
public class GreenEllipsePanelMod extends JPanel {

	/**
	 * Constructs a view as specified in the class description. The view gets
	 * installed upon the passed model.
	 * 
	 * @param model
	 */
	public GreenEllipsePanelMod() {
	}

	/**
	 * This method renders the graphics of this view.
	 * 
	 * The method is invoked any time the view is repainted.
	 */
	public void paintComponent(Graphics g) {
		super.paintComponent(g);

		Graphics2D g2 = (Graphics2D) g;

		/*
		 * this clears the drawing space
		 */
		g2.clearRect(0, 0, this.getWidth(), this.getHeight());

		g2.setPaint(Color.WHITE);
		g2.fill(new Rectangle2D.Double(0, 0, this.getWidth(), this.getHeight()));

		int ellipseWidth = this.getWidth() / 2;
		int ellipseHeight = this.getHeight() / 2;
		g2.setPaint(Color.GREEN);
		g2.draw(new Ellipse2D.Double((this.getWidth() - ellipseWidth) / 2,
				(this.getHeight() - ellipseHeight) / 2, ellipseWidth,
				ellipseHeight));
	}

	public Dimension getPreferredSize() {
		return new Dimension(400, 400);
	}

}
